
Auto Multiple Choice - Feature # 725: Nommage des copies en mode en pré-association

Status: Closed Priority: Normal
Author: Joss OUIN Category:
Created: 04/22/2020 Assignee:
Updated: 12/18/2020 Due date:
Description: Suggestion : nommer les copies en pré-association avec les noms/prénoms des étudiants. Cela est 

indispensable lorsque toutes les copies sont déposées sur un E.N.T (et cela évite l'envoi de mails qui 
peuvent "se perdent" (si on en croit les étudiants...)).

History
04/22/2020 01:13 pm - Joss OUIN
Bonjour,

J'ai testé la pré-association avec la version AMC+git2020-04-15. Tout fonctionne à merveille et les fichiers sont nommés : copie-0001.pdf, 
copie-0002.pdf, etc.
Si cela était possible, il faudrait que l'on ait la possibilité de nommer les copies avec les noms/prénoms des étudiants. C'est indispensable lorsque ces 
copies sont déposées sur un E.N.T.
AMC dispose déjà de ces informations lors de la pré-association (il prend les enregistrements dans l'ordre via la commande \csvreader du package 
"csvsimple").

Je ne sais pas si cette option est compliquée à mettre en place, c'est juste une idée.

En attendant, il est toujours possible de s'en sortir en écrivant un script qui va renommer les copies PDF en faisant bien attention de respecter l'ordre 
des données dans le fichiers .csv.

Belle journée.
J/O

 

04/22/2020 05:10 pm - Joël Brogniart
Est-ce que le nommage des copies n'irait pas à l'encontre d'une éventuelle anonymisation des copies ?

04/22/2020 07:12 pm - Joss OUIN
Bonsoir,

Effectivement, avec les noms actuels, les copies sont anonymées (à condition de ne pas écrire le nom des étudiants dans le \champnom sur le sujet).

Mais une fois que l'on se retrouve avec 150 copies "sans nom" (ni à l'extérieur (nom du fichier) ni à l'intérieur (\champnom dans le sujet)) c'est 
compliqué de les distribuer aux bonnes personnes (à moins bien sûr de les envoyer automatiquement pas mail).
Parfois l'envoi de mails est compliqué car un étudiant peut très bien ne pas "voir" le mail (car filtré dans le dossier "spam" ou autre).

Lorsque tous les sujets sont déposés en temps et en heure sur un E.N.T, il n'y a plus de discussions ("Monsieur je n'ai pas reçu votre mail à temps..." 
ou "Ma messagerie s'est bloquée car j'ai saisi un mauvais mot de passe...").
Imaginons que la copie porte le nom de Dupont_Jean_DS_MAT2.pdf l'anonymat peut être effectué par un mot de passe connu de l'étudiant et de 
l'enseignant (son identifiant QCM lorsqu'il est en classe par exemple (Identifiant calculé à partir du N° National Etudiant).

Pour le moment, je renomme les fichiers "à la main" et cela se passe bien.
C'était juste une idée d'option supplémentaire qui pourrait être utile, enfin il me semble.
Bonne soirée.
J/O

12/18/2020 01:22 pm - Alexis Bienvenüe
- Status changed from New to Closed

- % Done changed from 0 to 100

Avec la version de développement, vous pouvez utiliser quelque chose comme
<pre>
\AMCassociation[\nom{}-\prenom{}-DSMAT2]{\id}
</pre>
